Bug 991644 - [abrt] WARNING: at fs/btrfs/super.c:254 __btrfs_abort_transaction+0xdd/0xf0 [btrfs]()
[abrt] WARNING: at fs/btrfs/super.c:254 __btrfs_abort_transaction+0xdd/0xf0 [...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:e239b3a01c2173577992472aed3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-03 04:48 EDT by Nils
Modified: 2013-09-23 16:32 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-23 16:32:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (138.73 KB, text/plain)
2013-08-03 04:48 EDT, Nils
no flags Details

  None (edit)
Description Nils 2013-08-03 04:48:41 EDT
Additional info:
reporter:       libreport-2.1.5
WARNING: at fs/btrfs/super.c:254 __btrfs_abort_transaction+0xdd/0xf0 [btrfs]()
Modules linked in: tcp_lp joydev hidp rfcomm fuse ebtable_nat xt_CHECKSUM bridge tun nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack 8021q garp stp llc mrp ebtable_filter ebtables ip6table_filter ip6_tables bnep iTCO_wdt iTCO_vendor_support snd_hda_codec_realtek snd_hda_codec_hdmi vfat fat acpi_cpufreq mperf coretemp kvm_intel kvm crc32_pclmul crc32c_intel ghash_clmulni_intel microcode i2c_i801 serio_raw lpc_ich mfd_core dvb_usb_cinergyT2 dvb_usb dvb_core rc_core snd_hda_intel snd_hda_codec btusb snd_hwdep snd_seq bluetooth snd_seq_device snd_pcm rfkill e1000e snd_page_alloc ptp snd_timer pps_core snd soundcore uinput binfmt_misc btrfs libcrc32c xor zlib_deflate raid6_pq i915 i2c_algo_bit drm_kms_helper drm i2c_core video
CPU: 2 PID: 23916 Comm: PT43 Not tainted 3.10.3-300.fc19.x86_64 #1
Hardware name:                  /DH87RL, BIOS RLH8710H.86A.0314.2013.0410.1954 04/10/2013
 0000000000000009 ffff88001fed9a50 ffffffff81643216 ffff88001fed9a88
 ffffffff8105c211 00000000ffffffea ffff880424eace60 ffff880427ef4800
 ffffffffa01f4420 00000000000015be ffff88001fed9ae8 ffffffff8105c27c
Call Trace:
 [<ffffffff81643216>] dump_stack+0x19/0x1b
 [<ffffffff8105c211>] warn_slowpath_common+0x61/0x80
 [<ffffffff8105c27c>] warn_slowpath_fmt+0x4c/0x50
 [<ffffffffa015d92d>] __btrfs_abort_transaction+0xdd/0xf0 [btrfs]
 [<ffffffffa016e3ed>] __btrfs_free_extent+0x6dd/0xa00 [btrfs]
 [<ffffffffa0171e32>] run_clustered_refs+0x362/0xdc0 [btrfs]
 [<ffffffffa01769e0>] btrfs_run_delayed_refs+0xd0/0x4f0 [btrfs]
 [<ffffffffa0187af7>] __btrfs_end_transaction+0xc7/0x310 [btrfs]
 [<ffffffffa0187d50>] btrfs_end_transaction+0x10/0x20 [btrfs]
 [<ffffffffa01925a3>] btrfs_evict_inode+0x223/0x330 [btrfs]
 [<ffffffff811b098e>] evict+0x9e/0x190
 [<ffffffff811b11b3>] iput+0xf3/0x180
 [<ffffffff811a50db>] do_unlinkat+0x1ab/0x240
 [<ffffffff81197810>] ? vfs_write+0x160/0x1e0
 [<ffffffff811a7a36>] SyS_unlink+0x16/0x20
 [<ffffffff81651819>] system_call_fastpath+0x16/0x1b
Comment 1 Nils 2013-08-03 04:48:50 EDT
Created attachment 782255 [details]
File: dmesg
Comment 2 Nils 2013-08-03 04:58:40 EDT
This morning i noticed that my data btrfs filesystem was mounted RO.

This filesystem is on /dev/sdb1:

[root@base ~]# pvs
  PV         VG   Fmt  Attr PSize PFree  
  /dev/sdb1  data lvm2 a--  2,73t 720,50g
[root@base ~]# vgs
  VG   #PV #LV #SN Attr   VSize VFree  
  data   1   2   0 wz--n- 2,73t 720,50g
[root@base ~]# lvs
  LV     VG   Attr      LSize   Pool Origin Data%  Move Log Copy%  Convert
  data   data -wi-ao---   1,20t   

The errors on /dev/sdd should be unrelated to this. This was on another disk that had SMART read errors that i tried to correct.

/dev/sdb is new and shows no SMART errors. (A smartctl -t long scan might have been running while this error occured)

I am running a btrfs scrub on the volume now.
Comment 3 Nils 2013-08-03 08:13:58 EDT
scrub shows no errors:

scrub status for 63d6cc9f-30e9-4c12-a04a-61525d705ef7
	scrub started at Sat Aug  3 10:40:04 2013 and finished after 6344 seconds
	total bytes scrubbed: 860.68GB with 0 errors
Comment 4 Matthias Bruegge 2013-09-04 13:05:43 EDT
Here is extraction from my dmesg:

[  900.992385] ------------[ cut here ]------------
[  900.992426] WARNING: at fs/btrfs/super.c:254 __btrfs_abort_transaction+0xd9/0xf0 [btrfs]()
[  900.992431] btrfs: Transaction aborted (error -5)
[  900.992434] Modules linked in: xfs fuse nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle bnep bluetooth nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables iTCO_wdt iTCO_vendor_support btrfs zlib_deflate raid6_pq libcrc32c xor acpi_cpufreq mperf coretemp kvm_intel kvm arc4 microcode snd_hda_codec_analog joydev iwl4965 i2c_i801 iwlegacy snd_hda_intel lpc_ich snd_hda_codec mfd_core mac80211 snd_hwdep e1000e snd_seq snd_seq_device cfg80211 snd_pcm ptp pps_core snd_page_alloc snd_timer thinkpad_acpi snd soundcore rfkill tpm_tis tpm tpm_bios video uinput binfmt_misc radeon i2c_algo_bit drm_kms_helper ttm
[  900.992537]  yenta_socket drm i2c_core
[  900.992548] CPU: 1 PID: 2258 Comm: mount Not tainted 3.10.10-200.fc19.i686.PAE #1
[  900.992553] Hardware name: LENOVO 2008VDQ/2008VDQ, BIOS 79ETE7WW (2.27 ) 03/21/2011
[  900.992558]  eee9da24 eee9da24 eee9d9ec c09826c5 eee9da14 c044a1be f9b2f9d0 eee9da40
[  900.992571]  000000fe f9a90899 f9a90899 f3c3e000 fffffffb 00000000 eee9da2c c044a213
[  900.992583]  00000009 eee9da24 f9b2f9d0 eee9da40 eee9da60 f9a90899 f9b2d1ca 000000fe
[  900.992596] Call Trace:
[  900.992609]  [<c09826c5>] dump_stack+0x16/0x18
[  900.992618]  [<c044a1be>] warn_slowpath_common+0x5e/0x80
[  900.992647]  [<f9a90899>] ? __btrfs_abort_transaction+0xd9/0xf0 [btrfs]
[  900.992674]  [<f9a90899>] ? __btrfs_abort_transaction+0xd9/0xf0 [btrfs]
[  900.992682]  [<c044a213>] warn_slowpath_fmt+0x33/0x40
[  900.992709]  [<f9a90899>] __btrfs_abort_transaction+0xd9/0xf0 [btrfs]
[  900.992742]  [<f9aa05eb>] __btrfs_free_extent+0x56b/0xae0 [btrfs]
[  900.992786]  [<f9b0164b>] ? btrfs_merge_delayed_refs+0xeb/0x3b0 [btrfs]
[  900.992818]  [<f9aa4ce1>] run_clustered_refs+0x761/0xdc0 [btrfs]
[  900.992852]  [<f9aa966e>] btrfs_run_delayed_refs+0xae/0x430 [btrfs]
[  900.992888]  [<f9ab9245>] btrfs_commit_transaction+0xc5/0xc40 [btrfs]
[  900.992917]  [<f9a9321d>] ? btrfs_set_path_blocking+0x2d/0x70 [btrfs]
[  900.992945]  [<f9a97ab8>] ? btrfs_search_slot+0x218/0x760 [btrfs]
[  900.992954]  [<c046ad30>] ? wake_up_bit+0x20/0x20
[  900.992981]  [<f9a93380>] ? btrfs_free_path+0x20/0x30 [btrfs]
[  900.993009]  [<f9a93380>] ? btrfs_free_path+0x20/0x30 [btrfs]
[  900.993083]  [<f9af908a>] btrfs_recover_log_trees+0x36a/0x400 [btrfs]
[  900.993125]  [<f9af6e70>] ? replay_one_extent+0x820/0x820 [btrfs]
[  900.993161]  [<f9ab6a5f>] open_ctree+0x183f/0x1d00 [btrfs]
[  900.993173]  [<c067f4a3>] ? strlcpy+0x33/0x50
[  900.993201]  [<f9a90404>] btrfs_mount+0x664/0x830 [btrfs]
[  900.993211]  [<c051d57d>] ? pcpu_next_pop+0x2d/0x40
[  900.993217]  [<c051e0fc>] ? pcpu_alloc+0x67c/0x850
[  900.993224]  [<c06795f6>] ? ida_get_new_above+0x1a6/0x200
[  900.993231]  [<c06795f6>] ? ida_get_new_above+0x1a6/0x200
[  900.993237]  [<c06795f6>] ? ida_get_new_above+0x1a6/0x200
[  900.993245]  [<c0554311>] mount_fs+0x31/0x180
[  900.993252]  [<c051e2df>] ? __alloc_percpu+0xf/0x20
[  900.993260]  [<c0569ba5>] vfs_kern_mount+0x45/0xc0
[  900.993267]  [<c056b9e2>] do_mount+0x1e2/0x850
[  900.993277]  [<c051a169>] ? strndup_user+0x39/0xd0
[  900.993284]  [<c056c0cc>] SyS_mount+0x7c/0xb0
[  900.993292]  [<c098ef8d>] sysenter_do_call+0x12/0x28
[  900.993297] ---[ end trace db3f4c71f6379183 ]---
[  900.993303] BTRFS error (device sdb2) in __btrfs_free_extent:5510: errno=-5 IO failure
[  900.993310] BTRFS debug (device sdb2): run_one_delayed_ref returned -5
[  900.993315] BTRFS error (device sdb2) in btrfs_run_delayed_refs:2630: errno=-5 IO failure
[  900.993326] BTRFS error (device sdb2) in open_ctree:2787: errno=-5 IO failure (Failed to recover log tree)
[  901.006125] btrfs: open_ctree failed
[root@waldorf ~]#
Comment 5 Clemens Eisserer 2013-09-14 18:12:32 EDT
Description of problem:
Happend when trying to enter standby mode

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.1.6
cmdline:        BOOT_IMAGE=/vmlinuz-3.10.11-200.fc19.x86_64 root=UUID=341366e2-dfc6-4103-8957-428115f9ec83 ro selinux=0 rd.md=0 rd.lvm=0 rd.dm=0 vconsole.keymap=us rd.luks.uuid=luks-7a457e07-ba90-4664-89b0-266f0f2b35be vconsole.font=latarcyrheb-sun16 quiet LANG=en_US.UTF-8
kernel:         3.10.11-200.fc19.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: at fs/btrfs/super.c:254 __btrfs_abort_transaction+0xdd/0xf0 [btrfs]()
Modules linked in: fuse usb_storage nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables rfcomm bnep iTCO_wdt iTCO_vendor_support mmc_block dell_wmi sparse_keymap ppdev dell_laptop dcdbas snd_hda_codec_hdmi snd_hda_codec_idt mperf coretemp kvm_intel kvm arc4 microcode iwldvm serio_raw i2c_i801 cdc_mbim mac80211 snd_hda_intel cdc_ncm usbnet snd_hda_codec mii cdc_wdm cdc_acm snd_hwdep iwlwifi snd_seq snd_seq_device cfg80211 sdhci_pci snd_pcm sdhci mmc_core btusb uvcvideo bluetooth videobuf2_vmalloc videobuf2_memops videobuf2_core videodev media rfkill snd_page_alloc snd_timer lpc_ich snd mfd_core e1000e soundcore shpchp mei_me ptp mei pps_core wmi parport_pc parport nfsd binfmt_misc auth_rpcgss nfs_acl lockd uinput sunrpc btrfs libcrc32c xor zlib_deflate raid6_pq dm_crypt crc32_pclmul crc32c_intel i915 ghash_clmulni_intel i2c_algo_bit drm_kms_helper drm i2c_core video
CPU: 0 PID: 1437 Comm: umount Not tainted 3.10.11-200.fc19.x86_64 #1
Hardware name: Dell Inc. Latitude E6320/050F4T, BIOS A08 10/18/2011
 0000000000000009 ffff8801fe061998 ffffffff816396c7 ffff8801fe0619d0
 ffffffff8105c221 00000000fffffffb ffff88021e0c3b40 ffff8802207bc000
 ffffffffa01ee420 0000000000001586 ffff8801fe061a30 ffffffff8105c28c
Call Trace:
 [<ffffffff816396c7>] dump_stack+0x19/0x1b
 [<ffffffff8105c221>] warn_slowpath_common+0x61/0x80
 [<ffffffff8105c28c>] warn_slowpath_fmt+0x4c/0x50
 [<ffffffffa015792d>] __btrfs_abort_transaction+0xdd/0xf0 [btrfs]
 [<ffffffffa01681f0>] __btrfs_free_extent+0x4e0/0xa00 [btrfs]
 [<ffffffffa01c43b4>] ? btrfs_merge_delayed_refs+0x1f4/0x3d0 [btrfs]
 [<ffffffffa016c1ec>] run_clustered_refs+0x71c/0xdc0 [btrfs]
 [<ffffffffa01784de>] ? btree_set_page_dirty+0xe/0x10 [btrfs]
 [<ffffffff81138aa7>] ? set_page_dirty+0x37/0x60
 [<ffffffffa0170a20>] btrfs_run_delayed_refs+0xd0/0x4f0 [btrfs]
 [<ffffffffa015bd36>] ? btrfs_cow_block+0x116/0x1b0 [btrfs]
 [<ffffffffa017f0b8>] commit_cowonly_roots+0xa8/0x260 [btrfs]
 [<ffffffffa0180f3d>] btrfs_commit_transaction+0x56d/0xa80 [btrfs]
 [<ffffffff81081900>] ? wake_up_bit+0x30/0x30
 [<ffffffffa017bd91>] btrfs_commit_super+0x91/0x110 [btrfs]
 [<ffffffffa017bfd8>] close_ctree+0x1c8/0x270 [btrfs]
 [<ffffffff811b1bef>] ? evict_inodes+0xbf/0x110
 [<ffffffffa01548c9>] btrfs_put_super+0x19/0x20 [btrfs]
 [<ffffffff81199fc6>] generic_shutdown_super+0x56/0xd0
 [<ffffffff8119a1e2>] kill_anon_super+0x12/0x20
 [<ffffffffa0156b76>] btrfs_kill_super+0x16/0x90 [btrfs]
 [<ffffffff8119a5cd>] deactivate_locked_super+0x3d/0x60
 [<ffffffff8119a636>] deactivate_super+0x46/0x60
 [<ffffffff811b5535>] mntput_no_expire+0xc5/0x120
 [<ffffffff811b6311>] SyS_umount+0x91/0x3a0
 [<ffffffff810d94b6>] ? __audit_syscall_exit+0x1f6/0x2a0
 [<ffffffff81647cd9>] system_call_fastpath+0x16/0x1b
Comment 6 Josef Bacik 2013-09-23 16:32:37 EDT
Appears to be extent tree corruption.  Please make sure you are running btrfs-progs from git.kernel.org and run btrfsck on your device.  If it complains please run btrfsck --repair on the device and see if that fixes the problem.  If not please file a bugzilla at bugzilla.kernel.org and set the component to btrfs.

Note You need to log in before you can comment on or make changes to this bug.